View Issue Details

IDProjectCategoryView StatusLast Update
0005626SOGoActiveSyncpublic2022-10-31 16:50
Reporterjacotec Assigned Tosmizrahi  
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformiPhoneOSIOSOS Version16.0.3
Product Version5.7.1 
Fixed in Version5.8.0 
Summary0005626: Extreme battery drain from "Mail (Background)" after update to IOS16
Description

Right after the update to IOS 16 all our iPhones connected to SOGo via Active Sync are showing a massive battery drain. Battery management on the iPhones showing that "Mail (Notifications)" is using more than 35-40% of the battery even when the mail app is not actively used.

A user in this community thread ( https://community.mailcow.email/d/1929-hohe-batterienutzung-mit-ios-16 ) has tested it against a "real" Exchange account and states, a Microsoft Exchange connection does not show this issue. So the issue seems to be exclusively related to SOGo (so the chances of a fix from Apple are pretty low).

Server logs are showing a permanent, continuous communication on EAS which not only drains the battery extremely fast but also costs a significant amount of mobile data. Attached is one log example filtered to my iPhone

TagsNo tags attached.

Activities

jacotec

jacotec

2022-10-17 09:57

reporter  

SOGo EAS iOS 16.txt (5,302 bytes)   
17.10.2022, 11:40:52	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.129 - - 0 - 13
17.10.2022, 11:40:52	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.127 - - 0 - 13
17.10.2022, 11:40:52	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.126 - - 0 - 13
17.10.2022, 11:40:51	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.125 - - 0 - 13
17.10.2022, 11:40:51	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.124 - - 0 - 13
17.10.2022, 11:40:51	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.125 - - 0 - 13
17.10.2022, 11:40:51	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.125 - - 0 - 13
17.10.2022, 11:40:51	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.151 - - 0 - 13
17.10.2022, 11:40:50	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.132 - - 0 - 13
17.10.2022, 11:40:50	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.129 - - 0 - 13
17.10.2022, 11:40:50	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.127 - - 0 - 13
17.10.2022, 11:40:50	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.167 - - 0 - 13
17.10.2022, 11:40:49	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.127 - - 0 - 13
17.10.2022, 11:40:49	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.127 - - 0 - 13
17.10.2022, 11:40:49	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.126 - - 0 - 13
17.10.2022, 11:40:49	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.125 - - 0 - 13
17.10.2022, 11:40:49	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.129 - - 0 - 13
17.10.2022, 11:40:48	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.129 - - 0 - 13
17.10.2022, 11:40:48	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.133 - - 0 - 13
17.10.2022, 11:40:48	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.126 - - 0 - 13
17.10.2022, 11:40:48	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.128 - - 0 - 13
17.10.2022, 11:40:48	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.128 - - 0 - 13
17.10.2022, 11:40:47	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.126 - - 0 - 13
17.10.2022, 11:40:47	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.125 - - 0 - 13
17.10.2022, 11:40:47	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/63 0.125 - - 0 - 13
17.10.2022, 11:40:47	notice	[64]: 10.0.2.10 "POST /SOGo/Microsoft-Server-ActiveSync?User=me@mydomain.de&DeviceId=ONG2O481L53BRB270FR5DN24L8&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/60 0.167 - - 0 - 13
SOGo EAS iOS 16.txt (5,302 bytes)   
Clete2

Clete2

2022-10-22 13:03

reporter   ~0016303

I have the EXACT same issue! Even if I set it to fetch, it still goes insane requesting e-mail. I used 1.5GB of data just the past 2 weeks thanks to this bug.

I set one of my accounts to fetch (3rd line below) and it STILL issued the "Sync" command 15,879 times over the past 0000045:0000015 hours:

Clete2

Clete2

2022-10-22 13:08

reporter   ~0016304

Apologies, I sent the wrong screenshot. Attached is the proper screenshot showing request counts.

Clete2

Clete2

2022-10-23 00:03

reporter   ~0016305

Since I already accidentally exposed my email in this thread, I won't bother censoring it again :).

I turned on EAS Debug and viewed logs for a minute. I compared the sync req/resp to the iPhone running iOS 15. The iPhone just requests a sync and I do not see a response message being emitted.

However the phone on iOS 16 has a request which looks nearly identical to the iOS 15 request, but instead the server will respond with a bunch of SoftDelete commands. The phone then requests again the same request and the server yet again replies with SoftDelete (SAME IDs). It just goes over and over again. Hundreds of times in the couple minutes I was watching.

Oct 22 19:40:41 sogod [82]: 71.135.200.38 "POST /SOGo/Microsoft-Server-ActiveSync?User=clete@blackwell.email&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 354/113 0.633 - - 19M - 12
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - request for device 5VALAB501P66RCPTV7QS3PVF5C: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/&quot;>
<Sync xmlns="AirSync:">
<Collections>
<Collection>
<SyncKey>32213-48812</SyncKey>
<CollectionId>mail%2F580b2432d6fbfa5b9101000030fe12a4</CollectionId>
<GetChanges/>
<WindowSize>25</WindowSize>
<Options>
<FilterType>2</FilterType>
<MIMETruncation>1</MIMETruncation>
<Conflict>0</Conflict>
<MIMESupport>0</MIMESupport>
<BodyPreference xmlns="AirSyncBase:">
<Type>1</Type>
<TruncationSize>500</TruncationSize>
</BodyPreference>
</Options>
</Collection>
</Collections>
</Sync>

Oct 22 19:40:41 sogod [85]: 71.135.200.38 "POST /SOGo/Microsoft-Server-ActiveSync?User=cblackwell@llmcounseling.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync HTTP/1.0" 200 0/109 0.478 - - 0 - 12
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> Cache cleanup needed for device 5VALAB501P66RCPTV7QS3PVF5C - user: clete@blackwell.email syncKey: 32213-48812 cache: 32213-48813
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 9561
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 30495
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 9934
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 13417
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 19735
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 5764
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 19900
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 19839
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 15730
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 27338
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 23333
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 23706
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 23437
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 29755
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 29920
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 18458
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 18189
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 18250
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 25689
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 25854
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 31205
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 14288
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 14453
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 21788
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - SoftDelete 21953
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Oct 22 19:40:41 sogod [82]: <0x0x55dc839f7630[SOGoActiveSyncDispatcher]> EAS - response for device 5VALAB501P66RCPTV7QS3PVF5C: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/&quot;>
<Sync xmlns="AirSync:">
<Collections>
<Collection>
<Class>Email</Class>
<SyncKey>32213-48812</SyncKey>
<CollectionId>mail%2F580b2432d6fbfa5b9101000030fe12a4</CollectionId>
<Status>1</Status>
<MoreAvailable/>
<Commands>
<SoftDelete>
<ServerId>9561</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>30495</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>9934</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>13417</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>19735</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>5764</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>19900</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>19839</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>15730</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>27338</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>23333</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>23706</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>23437</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>29755</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>29920</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>18458</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>18189</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>18250</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>25689</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>25854</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>31205</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>14288</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>14453</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>21788</ServerId>
</SoftDelete>
<SoftDelete>
<ServerId>21953</ServerId>
</SoftDelete>
</Commands>
</Collection>
</Collections>
</Sync>

Clete2

Clete2

2022-10-23 00:24

reporter   ~0016306

A curious thing to note, after also reviewing IMAP logs, is that it always (1) invalidates the cache and (2) passes back <MoreAvailable/>

tmkis

tmkis

2022-10-24 07:02

reporter   ~0016308

I can confirm the same bug on many iOS 16 devices here at work

Clete2

Clete2

2022-10-24 15:04

reporter   ~0016309

Clearing SOGo EAS cache and resetting profile do not resolve this issue.

Clete2

Clete2

2022-10-24 20:10

reporter   ~0016310

Still present in iOS 16.1.

jacotec

jacotec

2022-10-25 07:30

reporter   ~0016311

Yap, 16.1 does not change it ... and I doubt that Apple even is aware of it (or even if this is Apples fault) as a Mailcow community user did test IOS16 with a Microsoft Exchange account and all is well here. So I think the issue is in SOGo and must be also fixed in SOGo.

I needed to change all our IOS devices to IMAP/CalDAV/CardDAV so far due to this ...

smizrahi

smizrahi

2022-10-26 14:58

administrator   ~0016317

It seems that the sync key has changed. Could you please try to delete the account from iOS and reassociate ?

nottulner

nottulner

2022-10-27 07:39

reporter   ~0016319

I have deleted the account and added a new one. The problem still exists.

Clete2

Clete2

2022-10-27 10:41

reporter   ~0016321

I did the same.

  1. Delete from iPhone
  2. Delete EAS cache on server (via Mailcow Admin UI)
  3. Add account on iPhone

Attached are logs for 4 seconds, and screenshot from Splunk showing # of commands issued by email address. You can see it was inactive when I had set the account to "Manual" fetching -- everything was quiet.

Anything else we can provide? I'm willing to provide whatever is needed.

sogo.log (4,560 bytes)   
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:53.984764955Z Oct 27 
06:36:53 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.097 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:54.289862254Z Oct 27 
06:36:54 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.096 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:54.561048625Z Oct 27 
06:36:54 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.098 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:54.846442104Z Oct 27 
06:36:54 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.093 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:55.149668613Z Oct 27 
06:36:55 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.098 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:55.439979633Z Oct 27 
06:36:55 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.103 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:55.783291865Z Oct 27 
06:36:55 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.111 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:56.085718908Z Oct 27 
06:36:56 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.097 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:56.355562363Z Oct 27 
06:36:56 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.099 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:56.625079858Z Oct 27 
06:36:56 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.098 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:56.947789492Z Oct 27 
06:36:56 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.101 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:57.238127952Z Oct 27 
06:36:57 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.100 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:57.540180754Z Oct 27 
06:36:57 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.103 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:57.838410743Z Oct 27 
06:36:57 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.107 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:58.200668353Z Oct 27 
06:36:58 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.094 - - 0 - 13
mailcowdockerized-sogo-mailcow-1  | 2022-10-27T10:36:58.510612912Z Oct 27 
06:36:58 d73323171b65 sogod [66]: 71.135.200.38 "POST 
/SOGo/Microsoft-Server-ActiveSync?User=root@clete2.com&DeviceId=5VALAB501P66RCPTV7QS3PVF5C&DeviceType=iPhone&Cmd=Sync 
HTTP/1.0" 200 0/63 0.096 - - 0 - 13
sogo.log (4,560 bytes)   
tfu

tfu

2022-10-30 15:15

reporter   ~0016323

Problem seems to be caused by non-existing Templates folder (ios 16+ tires to sync this folder).
To workaround the problem use the webUI and copy any mail into Templates-Folder. After this the folder exsits and on next <FolderSync> the sync-loop should stop.

nottulner

nottulner

2022-10-31 06:56

reporter   ~0016324

The e-mail in the "Templates" folder seems to actually work. Since then, the many fast requests no longer appear.

tmkis

tmkis

2022-10-31 12:34

reporter   ~0016325

Confirmed for this workaround. Works here too - just a bit difficult to make this happen for all accounts

smizrahi

smizrahi

2022-10-31 13:01

administrator   ~0016326

Hi all,

I'm currently working on a fix, thanks for helping debug

Sebastien

jacotec

jacotec

2022-10-31 13:16

reporter   ~0016327

A fix sounds good ;-) Thanks, @smizrahi

jacotec

jacotec

2022-10-31 13:17

reporter   ~0016328

... and thanks also to @tfu for finding the solution! Strage that Exchange does not have the same issue ...

smizrahi

smizrahi

2022-10-31 16:50

administrator   ~0016329

https://github.com/Alinto/sogo/pull/329 has been merged.

Thanks @tfu for the fix !

The fix will be in the next nightly build.

Issue History

Date Modified Username Field Change
2022-10-17 09:57 jacotec New Issue
2022-10-17 09:57 jacotec File Added: SOGo EAS iOS 16.txt
2022-10-22 13:03 Clete2 Note Added: 0016303
2022-10-22 13:03 Clete2 File Added: Screen Shot 2022-10-22 at 8.34.46 AM.png
2022-10-22 13:08 Clete2 Note Added: 0016304
2022-10-22 13:08 Clete2 File Added: Screen Shot 2022-10-22 at 9.02.04 AM.png
2022-10-23 00:03 Clete2 Note Added: 0016305
2022-10-23 00:24 Clete2 Note Added: 0016306
2022-10-24 07:02 tmkis Note Added: 0016308
2022-10-24 15:04 Clete2 Note Added: 0016309
2022-10-24 20:10 Clete2 Note Added: 0016310
2022-10-25 07:30 jacotec Note Added: 0016311
2022-10-26 14:40 smizrahi Assigned To => smizrahi
2022-10-26 14:40 smizrahi Status new => assigned
2022-10-26 14:58 smizrahi Note Added: 0016317
2022-10-26 15:12 smizrahi Status assigned => feedback
2022-10-27 07:39 nottulner Note Added: 0016319
2022-10-27 07:39 nottulner File Added: BildschirmĀ­foto 2022-10-27 um 09.37.17.png
2022-10-27 10:34 smizrahi Status feedback => confirmed
2022-10-27 10:41 Clete2 Note Added: 0016321
2022-10-27 10:41 Clete2 File Added: Screenshot 2022-10-27 at 6.40.40 AM.png
2022-10-27 10:41 Clete2 File Added: sogo.log
2022-10-30 15:15 tfu Note Added: 0016323
2022-10-31 06:56 nottulner Note Added: 0016324
2022-10-31 12:34 tmkis Note Added: 0016325
2022-10-31 13:01 smizrahi Note Added: 0016326
2022-10-31 13:16 jacotec Note Added: 0016327
2022-10-31 13:17 jacotec Note Added: 0016328
2022-10-31 16:50 smizrahi Note Added: 0016329
2022-10-31 16:50 smizrahi Status confirmed => resolved
2022-10-31 16:50 smizrahi Resolution open => fixed
2022-10-31 16:50 smizrahi Fixed in Version => 5.8.0